
unit Common;

(* http://nono40.developpez.com/tutoriel/delphi/screensaver/ *)

interface

type
  TssMode = (ssAffiche, ssConfig, ssMotDePasse, ssPrevisu);

const
  INI_FileName = 'Config.ini';
  INI_SectionName = 'swf';
  INI_KeyName = 'filename';
  
var
  ssMode: TssMode = ssAffiche;
  Param1, Param2, SWF_FileName: string;

procedure LitIni;
procedure EcritIni;

implementation

uses
  IniFiles, SysUtils;

procedure LitIni;
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create(ExtractFilePath(ParamStr(0)) + INI_FileName);
  try
    SWF_FileName := Ini.ReadString(INI_SectionName, INI_KeyName, SWF_FileName);
  finally
    Ini.Free;
  end;
end;

procedure EcritIni;
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create(ExtractFilePath(ParamStr(0)) + INI_FileName);
  try
    Ini.WriteString(INI_SectionName, INI_KeyName, SWF_FileName);
  finally
    Ini.Free;
  end;
end;

end.

