
program SWFScreenSaver;

{$E scr}

uses
  Windows,
  Forms,
  SysUtils,
  MainForm in 'MainForm.pas' {Form1},
  ConfigForm in 'ConfigForm.pas' {Form3},
  Common;

{$R *.res}

begin
  Param1 := Copy(UpperCase(ParamStr(1)), 1, 2);
  Param2 := UpperCase(ParamStr(2));

  if (Length(Param1) = 0) then
    ssMode := ssConfig
  else
    if not (Param1[1] in ['A'..'Z']) then
    begin
      Param1 := Copy(Param1, 2, 1);
      case Param1[1] of
        'P': ssMode := ssPrevisu;
        'C': ssMode := ssConfig;
        'S': ssMode := ssAffiche;
        'A': ssMode := ssMotDePasse;
      end;
    end;

  SetLastError(NO_ERROR);
  CreateMutex(nil, false, 'MONSCREENSAVER');
  if GetLastError = ERROR_ALREADY_EXISTS then
    Exit;

  case ssMode of
    ssAffiche, ssPrevisu:
      begin
        Application.Initialize;
        Application.CreateForm(TForm1, Form1);
        Application.CreateForm(TForm3, Form3);
        if ssMode = ssPrevisu then
          Form1.ParentWindow := StrToInt(Param2);

        Application.Run;
      end;

    ssConfig:
      begin
        Application.CreateForm(TForm3, Form3);
        Application.Initialize;
        Application.Run;

      end;
  end;
end.

