
unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TForm1 = class(TForm)
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
    procedure LoadSWF(const AFileName: string);
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

(* http://www.developpez.net/forums/d1291243/autres-langages-2/pascal-21/flash-pascal-1723/charger-swf-tstream/ *)

uses
  ShockwaveFlashObjects_TLB, ActiveX,
  Common;

procedure TForm1.LoadSWF(const AFileName: string);
var
  SWF: TShockWaveFlash;
  FileStream: TFileStream;
  MemStream: TMemoryStream;
  Len: Integer;
  Ptr: ^Integer;
  PStream: IPersistStreamInit;
  AStream: IStream;
begin
  SWF := TShockWaveFlash.Create(Self);
  SWF.Parent := Self;
  SWF.SetBounds(0, 0, ClientWidth, ClientHeight);
  
  FileStream := TFileStream.Create(AFileName, fmOpenRead or fmShareDenyNone);
  try
    MemStream := TMemoryStream.Create;
    try
      Len := FileStream.Size;
      MemStream.SetSize(Len + 8);
      Ptr := MemStream.Memory;
      Ptr^ := $55665566;
      Inc(Ptr);
      Ptr^ := Len;
      Inc(Ptr);
      FileStream.ReadBuffer(Ptr^, Len);
      IUnknown(SWF.OleObject).QueryInterface(IPersistStreamInit, PStream);
      AStream := TStreamAdapter.Create(MemStream);
      PStream.Load(AStream);
    finally
      MemStream.Free;
    end;
  finally
    FileStream.Free;
  end;
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  Close;
end;

procedure TForm1.FormShow(Sender: TObject);
var
  i: Integer;
begin
  ShowWindow(Application.Handle, SW_HIDE);
  SystemParametersInfo(SPI_SCREENSAVERRUNNING, 1, @i, 0);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
var
  i: Integer;
begin
  SystemParametersInfo(SPI_SCREENSAVERRUNNING, 0, @i, 0);
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  LoadSWF(SWF_FileName);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  LitIni;
end;

end.

